/* stylelint-disable selector-descendant-combinator-no-non-space */
$gutter: 3.75rem;
$widthText: calc(#{$max-width} - #{$gutter * 2});

.o-teaser-element {
  @include extented-width;

  position: relative;
  width: 100%;
  margin-top: rhythm(2.68);
  overflow: hidden;
}

.o-teaser-element__container {
  @include max-width;

  // 1201 +
  @include lg-min {
    padding-top: $gutter;
    padding-bottom: $gutter;
  }

  // < 900
  @include md-max {
    padding-top: $gutter / 2;
    padding-bottom: $gutter / 2;
  }
}

.o-teaser-element_inner {
  padding-right: $gutter * 2;
  padding-left: $gutter * 2;

  // 601 - 901
  @include sm-only {
    padding-right: $gutter;
    padding-left: $gutter;
  }

  // < 600
  @include xs-max {
    padding-right: $gutter / 2;
    padding-left: $gutter / 2;
  }
}

.o-teaser-element__text {
  width: calc(67.5% - #{$gutter});
  padding-left: $gutter;

  // < 1200
  @include md-max {
    width: 67.5%;
    padding-left: 0;
  }

  // < 767
  @media (max-width: #{$bp-mobile-max}) {
    width: 100%;
  }
}

.o-teaser-element h2 {
  padding-right: $gutter;
  padding-left: $gutter;

  // < 1200
  @include md-max {
    padding-right: 0;
    padding-left: 0;
  }
}

.o-teaser-element--has-image h2 {
  width: calc(67.5% - #{$gutter});
  padding-right: 0;

  // < 1200
  @include md-max {
    width: 67.5%;
  }

  // < 767
  @media (max-width: #{$bp-mobile-max}) {
    width: 100%;
  }
}

.o-teaser-element__text p {
  font-weight: $font-medium;
  font-size: 28px;
  line-height: 1.428;

  // 901 - 1200
  @include md-only {
    font-size: 22px;
    line-height: 1.3636;
  }

  // < 900
  @include sm-max {
    font-size: 18px;
    line-height: 1.388;
  }
}

.o-teaser-element__text p:last-child {
  margin-bottom: 0;
}

.o-teaser-element__media {
  position: absolute;
  top: 0;
  right: -10%;
  z-index: -1;

  // 1201 - 1400
  @include lg-only {
    right: -25%;
  }

  // 901 - 1200
  @include md-only {
    right: -30%;
  }

  // 601 - 900
  @include sm-only {
    right: -20%;
  }

  // < 767
  @media (max-width: #{$bp-mobile-max}) {
    display: none;
  }

  img {
    max-width: 700px;
    height: auto;

    // 901 - 1200
    @include md-only {
      max-width: 600px;
    }

    // 601 - 900
    @include sm-only {
      max-width: 400px;
    }
  }
}
